From 699193b84360538d8a1b0a18507bccaf3e25b3db Mon Sep 17 00:00:00 2001
From: Stephanie Buser <quic_sbuser@quicinc.com>
Date: Fri, 29 Apr 2022 16:03:22 -0700
Subject: [PATCH 2/3] added error check and header file

---
 drivers/soc/qcom/smem.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/drivers/soc/qcom/smem.c b/drivers/soc/qcom/smem.c
index 5c107a8..2d447a8 100644
--- a/drivers/soc/qcom/smem.c
+++ b/drivers/soc/qcom/smem.c
@@ -32,6 +32,8 @@
 
 #include "smem_private.h"
 
+#include "qc_version.h"
+
 #define MODEM_SBL_VERSION_INDEX 7
 #define SMEM_VERSION_INFO_SIZE (32 * 4)
 #define SMEM_VERSION 0x000B
@@ -1511,6 +1513,10 @@ void image_version(void)
 {
 	char *smem_image_addr;
 	smem_image_addr = get_image_version_base_address();
+	if(smem_image_addr == NULL)
+	{
+		LOG_ERR("%s: Unable to read smem image version base address\n", __func__);
+	}
 	smem_image_addr += SMEM_IMAGE_VERSION_PARTITION_APPS * SMEM_IMAGE_VERSION_SINGLE_BLOCK_SIZE;
     snprintf(smem_image_addr, SMEM_IMAGE_VERSION_NAME_SIZE, "%-.75s", qc_version);
 }
-- 
1.9.1

